Bug 1200762 - Review Request: eclipse-m2e-workspace - M2E CLI workspace resolver
Summary: Review Request: eclipse-m2e-workspace - M2E CLI workspace resolver
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1194362 1200771
TreeView+ depends on / blocked
 
Reported: 2015-03-11 11:06 UTC by Mikolaj Izdebski
Modified: 2015-03-12 13:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-12 13:15:44 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mikolaj Izdebski 2015-03-11 11:06:20 UTC
Spec URL: http://mizdebsk.fedorapeople.org/review/eclipse-m2e-workspace/eclipse-m2e-workspace.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/eclipse-m2e-workspace/eclipse-m2e-workspace-0.2.0-1.fc23.src.rpm
Description: Workspace dependency resolver implementation for Maven command line
build.
Fedora Account System Username: mizdebsk

Comment 1 gil cattaneo 2015-03-11 18:49:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find epl-v10.html in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/gil/1200762-eclipse-m2e-workspace/review-eclipse-
     m2e-workspace/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses, /usr/share/maven-metadata
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses, /usr/share
     /maven-metadata, /usr/share/java/eclipse-m2e-workspace
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in eclipse-
     m2e-workspace-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eclipse-m2e-workspace-0.2.0-1.fc23.noarch.rpm
          eclipse-m2e-workspace-javadoc-0.2.0-1.fc23.noarch.rpm
          eclipse-m2e-workspace-0.2.0-1.fc23.src.rpm
eclipse-m2e-workspace.noarch: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
eclipse-m2e-workspace-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

eclipse-m2e-workspace (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(javax.inject:javax.inject)
    mvn(org.codehaus.plexus:plexus-component-annotations)



Provides
--------
eclipse-m2e-workspace-javadoc:
    eclipse-m2e-workspace-javadoc

eclipse-m2e-workspace:
    eclipse-m2e-workspace
    mvn(io.takari.m2e.workspace:org.eclipse.m2e.workspace.cli)
    mvn(io.takari.m2e.workspace:org.eclipse.m2e.workspace.cli:pom:)
    osgi(org.eclipse.m2e.workspace.cli)



Source checksums
----------------
http://git.eclipse.org/c/m2e/org.eclipse.m2e.workspace.git/snapshot/m2e-workspace-0.2.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : be59e507529c6dbc482cba5e4bf80e4fbd21f7e591250439d0b77e317593d91a
  CHECKSUM(SHA256) upstream package : be59e507529c6dbc482cba5e4bf80e4fbd21f7e591250439d0b77e317593d91a
http://www.eclipse.org/legal/epl-v10.html :
  CHECKSUM(SHA256) this package     : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2
  CHECKSUM(SHA256) upstream package : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -vpn eclipse-m2e-workspace -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 gil cattaneo 2015-03-11 18:50:49 UTC
Issues:

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses, /usr/share
     /maven-metadata, /usr/share/java/eclipse-m2e-workspace

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.


these aren't blocking issues, please fix at import time

Comment 3 Mikolaj Izdebski 2015-03-12 08:17:33 UTC
(In reply to gil cattaneo from comment #2)
> Issues:
> 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/licenses, /usr/share
>      /maven-metadata, /usr/share/java/eclipse-m2e-workspace

Not an issue:
/usr/share/licenses is owned by filesystem
/usr/share/maven-metadata is owned by javapackages-tools
/usr/share/java/eclipse-m2e-workspace is owned by the package itself

> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.

I asked the same upstream to include license texts in different projects, but they refused. I'm not going to waste my time asking again.

> [!]: Package does not include license text files separate from upstream.

This is also OK. License text must be installed to comply with licensing terms.

Comment 4 Mikolaj Izdebski 2015-03-12 08:19:05 UTC
New Package SCM Request
=======================
Package Name: eclipse-m2e-workspace
Short Description: M2E CLI workspace resolver
Owners: mizdebsk msimacek msrb eclipse-sig
Branches: f22
InitialCC: java-sig

Comment 5 Gwyn Ciesla 2015-03-12 12:54:14 UTC
Git done (by process-git-requests).

Comment 6 Mikolaj Izdebski 2015-03-12 13:15:44 UTC
Built for rawhide. Closing.
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9209889


Note You need to log in before you can comment on or make changes to this bug.